Overview - Search Service Adapters

Product Version

7.9

Product To Version


Status

final

1 Introduction

The present page serves as an overview for the topic. All available documents for the topic can be found here.

1.1 About the Topic

The current page lists available search service adapters.

2 Overview

3 Compatibility

This table gives an overview of the compatibility of the various components. Please see the release notes of the adapters for detailed version information.

SolrICM (valid from)ICM (valid to)AdapterNotes
47.97.10.15.2-Solr4 is part of ICM, there is no separate adapter needed.
47.10.16.67.10.30.2

Solr4 Adapter

Solr4 is not part of ICM anymore since 7.10.16.6.

Thus, Solr4 or SolrCloud adapter is needed.


(warning) Solr4 is not compatible with ICM 7.10.31.2+ anymore, see also Announcement - Solr 4 - ICM and Tomcat 9 Compatibilty.

67.9

Last tested on 7.10.9

It has not been tested for newer versions but may still work until 7.10.30.2.

SolrCloud Adapter 1

Adapter for SolrCloud 6

87.10.107.10.30.2SolrCloud Adapter 2Adapter for SolrCloud 8
87.10.31.2
SolrCloud Adapter 3

Adapter for SolrCloud 8

Includes the necessary adaptions for the Tomcat 9 update of ICM (Guide - 7.10.31.0 Migration to Tomcat 9).

This is the latest and greatest version so far.

Disclaimer

The information provided in the Knowledge Base may not be applicable to all systems and situations. Intershop Communications will not be liable to any party for any direct or indirect damages resulting from the use of the Customer Support section of the Intershop Corporate Web site, including, without limitation, any lost profits, business interruption, loss of programs or other data on your information handling system.

Customer Support
Knowledge Base
Product Resources
Tickets